
CXX=g++

all: blpviewer blpmatrix mcufviewer bxxviewer

bxxviewer: *.h bxxviewer.cpp bxxstream.cpp drawprimitives.cpp
	${CXX} `sdl-config --cflags --libs` -lSDL_net -I../../BlinkenLib/headers -I./ -o bxxviewer  bxxviewer.cpp bxxstream.cpp drawprimitives.cpp ../../BlinkenLib/source/*.cpp

blpviewer: *.h blpmain.cpp blpstream.cpp drawprimitives.cpp
	${CXX} `sdl-config --cflags --libs` -lSDL_net -o blpviewer  blpmain.cpp blpstream.cpp drawprimitives.cpp

blpmatrix: *.h blpmatrix.cpp blpstream.cpp drawprimitives.cpp
	${CXX} `sdl-config --cflags --libs` -lSDL_net -o blpmatrix  blpmatrix.cpp blpstream.cpp drawprimitives.cpp

mcufviewer: *.h mcufviewer.cpp mcufstream.cpp drawprimitives.cpp
	${CXX} `sdl-config --cflags --libs` -lSDL_net -o mcufviewer  mcufviewer.cpp mcufstream.cpp drawprimitives.cpp

clean:
	rm -f blpviewer blpmatrix mcufviewer
